# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IActionInstance

Packages that use IActionInstance
Package
Description
org.eclipse.birt.report.engine.api.script.instance
Report element representations in the BIRT scripting environment.

## Uses of IActionInstance in org.eclipse.birt.report.engine.api.script.instance

Methods in org.eclipse.birt.report.engine.api.script.instance that return IActionInstance
Modifier and Type
Method
Description
`IActionInstance`
IDataItemInstance.`createAction()`
Create a new action instance, witch can be bookmark, hyperlink or drillThrough.
`IActionInstance`
IImageInstance.`createAction()`
Create a new action instance, witch can be bookmark, hyperlink or drillThrough.
`IActionInstance`
ILabelInstance.`createAction()`
Create a new action instance, witch can be bookmark, hyperlink or drillThrough.
`IActionInstance`
IDataItemInstance.`getAction()`
Get the action instance.
`IActionInstance`
IImageInstance.`getAction()`
Get the action instance.
`IActionInstance`
ILabelInstance.`getAction()`
Get the action instance.
Methods in org.eclipse.birt.report.engine.api.script.instance with parameters of type IActionInstance
Modifier and Type
Method
Description
`void`
IDataItemInstance.`setAction(IActionInstance actionInstance)`
set the actionInstance
`void`
IImageInstance.`setAction(IActionInstance actionInstance)`
set the actionInstance
`void`
ILabelInstance.`setAction(IActionInstance actionInstance)`
set the actionInstance